Subject: [Webpush] webpush for http2 -02

From: Martin Thomson <[email-masked]>
Date: Fri, 12 Dec 2014 16:01:29 -0800

I've revised the protocol proposal for web push.

https://datatracker.ietf.org/doc/draft-thomson-webpush-http2/

A more readable HTML version is here, though this will be updated as I
make changes:

https://martinthomson.github.io/drafts/draft-thomson-webpush-http2.html

This includes some fairly significant changes to incorporate the
feedback I've received from various corners.  I haven't prepared a
change log, but I believe that this covers at least the high points of
what was discussed at the meeting:

 - names of everything have changed
 - I've added examples and expanded the explanatory text throughout
 - removed use of 202 due to a privacy concern (thanks to Robert
Sparks for sharing his experience with this)
 - significantly expanded the operational considerations regarding
load distribution and message retention
 - minimum message size of 4k added